#!/usr/bin/perl -T

# Copyleft  1999,2000 Michiel Dethmers. All rights reversed.
# Document maintained at http://www.quipu.co.uk/SWISH-E/AutoSwish/.
# Version 1.0 21/01/2000. 
#
# This program and library is free software; you can redistribute it and/or
# modify it under the terms of the GNU (Library) General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#* GNU (Library) General Public License for more details.
#
# You should have received a copy of the GNU (Library) General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#---------------------------------------------------------
#
# Purpose: This script is basically a copy of the reindex subroutine of AutoSwish
# Except that it starts with nph- and outputs the HTTP headers itself. This is necessary
# for Apache webservers before version 1.3. AutoSwish will try to detect this
# and redirect accordingly

# set some vars to secure path
$ENV{BASH_ENV} = ""; # for running from command line
$ENV{'SCRIPT_FILENAME'} =~ /(.*)\/.*/;
$SCRIPT_ROOT = $1;
$ENV{'PATH'} = "/usr/local/bin:/usr/bin:$SCRIPT_ROOT";

require "$SCRIPT_ROOT/../config.pl";
require "$SCRIPT_ROOT/../lib.pl";

#- Main Program --------------------------------------------------------------#

$userid = $ENV{'REMOTE_USER'} || "default";
use CGI qw(:cgi-lib);
ReadParse;
$| = 1;
$nl = "<br>\n";

if ($in{'ConfigFile'} =~ /\.conf$/) {
  $fileroot = $`;
	$conf = "$fileroot.conf";
} else {
  &return_error ("CGI ERROR",
                 "Invalid ConfigFile. ");
}

$HTTP_headers =  "HTTP/1.1 200 OK\015\012"; 
$HTTP_headers .=  "Connection: close\015\012"; 
$HTTP_headers .=  "Pragma: no-cache\015\012";
print $HTTP_headers;
print &html_header("Reindexing with SWISH-E: Processing Please Wait");
open(SWISH, "$SWISHDIR/swish-e -v 3 -c $CONFIGDIR/$conf|");
while (<SWISH>) {
  print "$_<br>\n";
}
print "<H2 ALIGN=CENTER>Your Files Were Succesfully Re-Indexed</H2>";
print "Command: $SWISHDIR/swish-e -c $CONFIGDIR/$conf<br>\n";
print "Index file: $CONFIGDIR/$conf<br>\n";
print "Choose another configuration file?:<BR>\n";
print &ListConfigFiles("reindex");
print &html_footer;

 